# Method: scores.submit

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/scores/submit#try-it)

Submits a score to the specified leaderboard.

### HTTP request

`POST https://games.googleapis.com/games/v1/leaderboards/{leaderboardId}/scores`

### Path parameters

|                      Parameters                      ||
|-----------------|-------------------------------------|
| `leaderboardId` | `string` The ID of the leaderboard. |

### Query parameters

|                                                                                                                                                                                                                                                           Parameters                                                                                                                                                                                                                                                           ||
|------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language` | `string` The preferred language to use for strings returned by this method.                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `score`    | `string (`[int64](https://developers.google.com/discovery/v1/type-format)` format)` Required. The score you're submitting. The submitted score is ignored if it is worse than a previously submitted score, where worse depends on the leaderboard sort order. The meaning of the score value depends on the leaderboard format type. For fixed-point, the score represents the raw value. For time, the score represents elapsed time in milliseconds. For currency, the score represents a value in micro units. |
| `scoreTag` | `string` Additional information about the score you're submitting. Values must contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986.                                                                                                                                                                                                                                                                                                                                                  |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of[SubmitLeaderboardScoreResponse](https://developer.android.com/games/services/web/api/rest/v1/SubmitLeaderboardScoreResponse).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).